function IsIE() {

	var is_ie = 0;
	// convert all characters to lowercase to simplify testing
	var agt=navigator.userAgent.toLowerCase();
	is_ie = (agt.indexOf("msie")!=-1);
	return is_ie;
}

function IsWin32() { 
var agt=navigator.userAgent.toLowerCase(); 
var is_win   = ( (agt.indexOf("win")!=-1) || (agt.indexOf("16bit")!=-1) );
var is_win95 = ((agt.indexOf("win95")!=-1) || (agt.indexOf("windows 95")!=-1));
var is_win16 = ((agt.indexOf("win16")!=-1) || (agt.indexOf("16bit")!=-1) ||
		(agt.indexOf("windows 3.1")!=-1) || (agt.indexOf("windows 16-bit")!=-1) );  
var is_win31 = ((agt.indexOf("windows 3.1")!=-1) || (agt.indexOf("win16")!=-1) ||
				(agt.indexOf("windows 16-bit")!=-1));
var is_win98 = ((agt.indexOf("win98")!=-1) || (agt.indexOf("windows 98")!=-1));
var is_winnt = ((agt.indexOf("winnt")!=-1) || (agt.indexOf("windows nt")!=-1));
var is_win32 = (is_win95 || is_winnt || is_win98 || ((is_major >= 4) &&
			(navigator.platform == "Win32")) || (agt.indexOf("win32")!=-1) ||
				(agt.indexOf("32bit")!=-1));
return is_win32;
} 

function alerts_welcome() {
	if ( IsWin32() && IsIE() ) {
        location.href = '/alerts/welcome.shtml'; 
	}
	else {
        location.href = '/alerts/unsupported.shtml';
	}
}

function emailCheck (emailStr) {
var emailPat=/^(.+)@(.+)$/
var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
var validChars="\[^\\s" + specialChars + "\]"
var quotedUser="(\"[^\"]*\")"
var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
var atom=validChars + '+'
var word="(" + atom + "|" + quotedUser + ")"
var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")
var matchArray=emailStr.match(emailPat)
if (matchArray==null) {
  //  alert("Email address seems incorrect (check @ and .'s)")
  return false
}
var user=matchArray[1];
var domain=matchArray[2];

if (user.match(userPat)==null) {
    // user is not valid
   //    alert("The username doesn't seem to be valid.")
    return false;
}

var IPArray=domain.match(ipDomainPat);
if (IPArray!=null) {
    // this is an IP address
	  for (var i=1;i<=4;i++) {
	    if (IPArray[i]>255) {
	          //alert("Destination IP address is invalid!")
		return false;
	    }
    }
    return true;
}

// Domain is symbolic name
var domainArray=domain.match(domainPat);
if (domainArray==null) {
	  //alert("The domain name doesn't seem to be valid.")
    return false;
}

var atomPat=new RegExp(atom,"g");
var domArr=domain.match(atomPat);
var len=domArr.length;
if (domArr[domArr.length-1].length<2 || 
    domArr[domArr.length-1].length>3) {
   return false;
}

if (len<2) {
   var errStr="This address is missing a hostname!"
   return false;
}

return true;
}

  function verifyOneChecked(theForm) {
    var retValue = false;
    if((theForm!=null)&&(theForm.elements!=null)) {
      for(i=0; i<theForm.elements.length; i++) {
        if( (theForm.elements[i].type == "checkbox") &&
	    (theForm.elements[i].checked) ) {
	     retValue = true;
	     break;
	}
      }
    }
    return retValue;
  }

  function checkAlertForm() {
    var emailGood = emailCheck(document.alertForm.email.value);
    var isOneChecked = verifyOneChecked(document.alertForm);
    var msg = "";
    if(!emailGood && !isOneChecked) {
      msg = "Please provide a valid email address and select at least one alert";
    } else if (!emailGood) {
      msg = "Please provide a valid email address" ;
    } else if (!isOneChecked) {
      msg = "Please select at least one alert" ;
    }
    if(emailGood && isOneChecked) { 
      return true;
    } else {
      alert(msg);
      return false;
    }
  }
